com.amazonaws.services.codedeploy.model

## Class RegisterApplicationRevisionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.RegisterApplicationRevisionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RegisterApplicationRevisionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a register application revision operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RegisterApplicationRevisionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RegisterApplicationRevisionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`String` `getDescription()` A comment about the revision.
`RevisionLocation` `getRevision()` Information about the application revision to register, including type and location.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`void` `setDescription(String description)` A comment about the revision.
`void` `setRevision(RevisionLocation revision)` Information about the application revision to register, including type and location.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RegisterApplicationRevisionRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
`RegisterApplicationRevisionRequest` `withDescription(String description)` A comment about the revision.
`RegisterApplicationRevisionRequest` `withRevision(RevisionLocation revision)` Information about the application revision to register, including type and location.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RegisterApplicationRevisionRequest

    public RegisterApplicationRevisionRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Returns:
  The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

#### withApplicationName

    public RegisterApplicationRevisionRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application associated with the applicable IAM user or AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

A comment about the revision.

Parameters:
  `description` - A comment about the revision.

#### getDescription

    public String getDescription()

A comment about the revision.

Returns:
  A comment about the revision.

#### withDescription

    public RegisterApplicationRevisionRequest withDescription(String description)

A comment about the revision.

Parameters:
  `description` - A comment about the revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRevision

    public void setRevision(RevisionLocation revision)

Information about the application revision to register, including type and location.

Parameters:
  `revision` - Information about the application revision to register, including type and location.

#### getRevision

    public RevisionLocation getRevision()

Information about the application revision to register, including type and location.

Returns:
  Information about the application revision to register, including type and location.

#### withRevision

    public RegisterApplicationRevisionRequest withRevision(RevisionLocation revision)

Information about the application revision to register, including type and location.

Parameters:
  `revision` - Information about the application revision to register, including type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RegisterApplicationRevisionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`